(require 'bug-reference)

(add-hook 'erc-mode-hook          #'bug-reference-mode)
(add-hook 'gnus-article-mode-hook #'bug-reference-mode)
(add-hook 'gnus-mode-hook         #'bug-reference-mode)
(add-hook 'gnus-summary-mode-hook #'bug-reference-mode)
(add-hook 'prog-mode-hook         #'bug-reference-prog-mode)

(setq bug-reference-bug-regexp
  "\\(\\b\\(?:[Bb]ug ?#?\\|[Pp]atch ?#\\|[Ff]ixes:? ?#\\|RFE ?#\\|PR [+a-z-]+/\\)\\([0-9]+\\(?:#[0-9]+\\)?\\)\\|<https://bugs\\.gnu\\.org/\\(?2:[0-9]+\\)>\\)")

(require 'debbugs)
(require 'debbugs-browse)

(add-hook 'bug-reference-mode-hook      #'debbugs-browse-mode)
(add-hook 'bug-reference-prog-mode-hook #'debbugs-browse-mode)

(setq debbugs-browse-url-regexp
  "^https?://\\(?:bugs\\|debbugs\\|issues\\.guix\\)\\.gnu\\.org/+\\(\\(?:cgi/bugreport\\.cgi\\?bug=\\)?\\)\\(?3:[[:digit:]]+\\)$")
